{"openapi":"3.0.4","info":{"title":"Get bucketed cash flows from a list of portfolios","description":"We bucket/aggregate a transaction portfolio's instruments by date or tenor specified in the request.\r\nThe cashflows are grouped by both instrumentId and currency.\r\n            \r\nIf you want transactional level cashflow, please use the 'GetUpsertableCashFlows' endpoint.\r\nIf you want instrument cashflow, please use the 'GetPortfolioCashFlows' endpoint.\r\nNote that these endpoints do not apply bucketing.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/bucketedCashFlows":{"post":{"tags":["Transaction Portfolios"],"summary":"Get bucketed cash flows from a list of portfolios","description":"We bucket/aggregate a transaction portfolio's instruments by date or tenor specified in the request.\r\nThe cashflows are grouped by both instrumentId and currency.\r\n            \r\nIf you want transactional level cashflow, please use the 'GetUpsertableCashFlows' endpoint.\r\nIf you want instrument cashflow, please use the 'GetPortfolioCashFlows' endpoint.\r\nNote that these endpoints do not apply bucketing.","operationId":"GetBucketedCashFlows","parameters":[{"name":"scope","in":"path","description":"The scope of the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the transaction portfolio. Together with the scope this uniquely identifies the portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"Request specifying the bucketing of cashflows","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BucketedCashFlowRequest"},"example":{"roundingMethod":"RoundUp","bucketingDates":["2020-01-01T00:00:00.0000000+00:00","2020-07-01T00:00:00.0000000+00:00","2021-01-01T00:00:00.0000000+00:00","2021-07-01T00:00:00.0000000+00:00"],"equipWithSubtotals":false,"excludeUnsettledTrades":false,"cashFlowType":"InstrumentCashFlow"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BucketedCashFlowRequest"},"example":{"roundingMethod":"RoundUp","bucketingDates":["2020-01-01T00:00:00.0000000+00:00","2020-07-01T00:00:00.0000000+00:00","2021-01-01T00:00:00.0000000+00:00","2021-07-01T00:00:00.0000000+00:00"],"equipWithSubtotals":false,"excludeUnsettledTrades":false,"cashFlowType":"InstrumentCashFlow"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BucketedCashFlowRequest"},"example":{"roundingMethod":"RoundUp","bucketingDates":["2020-01-01T00:00:00.0000000+00:00","2020-07-01T00:00:00.0000000+00:00","2021-01-01T00:00:00.0000000+00:00","2021-07-01T00:00:00.0000000+00:00"],"equipWithSubtotals":false,"excludeUnsettledTrades":false,"cashFlowType":"InstrumentCashFlow"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BucketedCashFlowRequest"},"example":{"roundingMethod":"RoundUp","bucketingDates":["2020-01-01T00:00:00.0000000+00:00","2020-07-01T00:00:00.0000000+00:00","2021-01-01T00:00:00.0000000+00:00","2021-07-01T00:00:00.0000000+00:00"],"equipWithSubtotals":false,"excludeUnsettledTrades":false,"cashFlowType":"InstrumentCashFlow"}}}},"responses":{"200":{"description":"The requested portfolio instruments' bucketed cash flow data","headers":{"Deprecation":{"description":"Only present when the request resolved to cashFlowCalculationVersion=1 (explicitly or by default): an RFC 9745 structured-field date marking when version 1 was deprecated. Set cashFlowCalculationVersion=2, its successor.","schema":{"type":"string"}},"Link":{"description":"Only present when the request resolved to cashFlowCalculationVersion=1: an RFC 8288 link with rel=\"deprecation\" pointing at the version 1 to version 2 migration documentation.","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BucketedCashFlowResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BucketedCashFlowResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/BucketedCashFlowResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}